// Copyright (C) 2019 Marius Schellenberger

package db

import "crypto/sha256"

// Parts taken from strings.TrimPrefix
func hasTrimPrefix(s, prefix string) (string, bool) {
	if len(s) >= len(prefix) && s[0:len(prefix)] == prefix {
		return s[len(prefix):], true
	}
	return s, false
}

func validatePassword(pw string) (b []byte) {
	b = []byte(pw)
	if len(pw) <= 56 {
		return
	}
	hash := sha256.New()
	hash.Write(b)
	b = hash.Sum(nil)
	return
}
